aboutsummaryrefslogtreecommitdiff
path: root/build_html.sh
diff options
context:
space:
mode:
authorNick Mathewson <nickm@torproject.org>2023-10-12 17:13:20 -0400
committerNick Mathewson <nickm@torproject.org>2023-10-12 17:41:34 -0400
commitfc819f9980ee8e9f95f49397b2fadcda06a60b7b (patch)
treeb03d7021d74214e4b95a051b73587e781827d8c7 /build_html.sh
parent4040e872a63b10940f351bf97076c66074e54686 (diff)
downloadtorspec-fc819f9980ee8e9f95f49397b2fadcda06a60b7b.tar.gz
torspec-fc819f9980ee8e9f95f49397b2fadcda06a60b7b.zip
gitlab ci for a basic test
This test just tries to make sure reindex has been run, and that mdbook passes.
Diffstat (limited to 'build_html.sh')
-rwxr-xr-xbuild_html.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/build_html.sh b/build_html.sh
index ae78080..cb33660 100755
--- a/build_html.sh
+++ b/build_html.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-set -e -u -o pipefail
+set -e -u -o pipefail -x
TOPLEVEL=$(realpath $(dirname "$0"))
cd "${TOPLEVEL}/proposals"
@@ -11,5 +11,3 @@ mdbook build
cd "${TOPLEVEL}/mdbook/proposals"
mdbook build
-
-